#include <LPC11xx.h>                           // LPC1100 definitions

#include "global.h"

BYTE address  = 0;
BYTE command  = 0;
BYTE answer   = 0;
BYTE f_dalitx = 0;
BYTE f_dalirx = 0;


int main (void)
{
    SystemInit();

    Ballast_Init();
	DALI_Init();

    while (1)                                  // loop forever
    {
        __wfi();                               // go to sleep

        if (f_dalirx)                          // DALI frame received ?
        {
            f_dalirx = 0;                      // clear flag
            DALI_ProcesCommand();
        }    

        if (f_dalitx)                          // flag send DALI answer ?
        {
            f_dalitx = 0;                      // clear flag
            DALI_SendAnswer();                 // send answer on the dali port
        }   
    }
}
